cPanel & WHM Version 94 has been released, and brings a slew of great updates. Take a look at what is included, and then upgrade today!

Allow Lets encrypt to work on older android devices after jan 2021

Monarobase shared this idea 5 months ago
Already Exists

Starting Jan 2021 older android devices will not accept Let’s encrypt certificates.

https://letsencrypt.org/2020/11/06/own-two-feet.html

As a web host I would like to be able to use the alternate certificate chain that leads to DST Root X3 until September 2021 so that my customer’s websites remain compatible with older android devices for as long as possible.

Please either add an option to allow webhosts to use the alternate certificate chain or make the alternate certificate chain the default from Jan 2021 to September 2021.

Comments (1)

photo
1

Hello and thanks for the request! The Let's Encrypt team were able to find a solution for older Android devices: https://letsencrypt.org/2020/12/21/extending-android-compatibility.html

Leave a Comment
 
Attach a file